---
author: Henrik
center: true
subtitle: On decker slides
title: Column Layout
---

# Grid Column Slides

::: {.columns-2-1-1 style="some:other-css;"}
::: cell
Column 1

Some Text
:::

::: cell
Column 2

Some Text
:::

::: cell
Column 3

Some Text
:::
:::

::: {width="50%" height="30px" style="some-other:css;"}
**Honey, I shrunk the divs!**
:::

--------------------------------------------------------------------------------

# Slide Masters {.columns}

## Fixed Layouts {.top}

-   Just like Powerpoint and Keynote (This is the full-width top row)

## Syntax {.left grow="2"}

-   Class and key-value attributes
-   Assign content to layout area
-   On elements *Header 2*, *Image*, *Code Block*, *DIV*

## Example {.right}

![](include/06-metal.png)

--------------------------------------------------------------------------------

# Two columns and a footer {.columns}

## Left column {.left}

Some text

## Right column {.right}

-   Some text

1.  Some more

## Footer {.bottom}

Some final text

--------------------------------------------------------------------------------

# Slide Masters {.columns}

## Fixed Layouts {.bottom}

-   Just like Powerpoint and Keynote (This is full width again)

## Syntax {.left grow="2"}

-   Class and key-value attributes
-   Assign content to layout area
-   On elements *Header 2*, *Image*, *Code Block*, *DIV*

## Second box

-   In this extra wide column that reaches the left image border

## Another image with a very long title {.right}

![](include/06-metal.png)

--------------------------------------------------------------------------------

# Slide Masters {.columns}

## Image Mania {.top}

-   Even in *three* columns

## Example {.left}

![](include/06-metal.png)

## Example {.center}

![](include/06-metal.png)

## Example {.right}

![](include/06-metal.png)

--------------------------------------------------------------------------------

# Slide Masters {.columns}

## Box Mania {.top}

-   Even in *three* columns

## Example {.left .danger}

![](include/06-metal.png)

## Example {.center .primary}

![](include/06-metal.png)

Some more Text after the picture.

## 

And some more still after the box.

## Example {.right .note .secondary}

![Captions are really nice!](include/06-metal.png)

More tex after the figure

--------------------------------------------------------------------------------

# Slide Masters {.columns}

## Example {.left .danger}

![](include/06-metal.png)

## Example

![](include/06-metal.png)

## Example {.center .def}

![](include/06-metal.png)

## Example {.warning}

![](include/06-metal.png)

## Example {.right .success}

![](include/06-metal.png)

## Example

![](include/06-metal.png)

--------------------------------------------------------------------------------

# Slide Masters {.columns}

## Box Mania {.top}

-   Also in *two* columns

## Example {.left .def}

![](include/06-metal.png)

Some more Text

## Example {.right .note}

![](include/06-metal.png)

Some more Text

# Slide Masters {.grid}

## {.top-left}

![](include/06-metal.png)

## {.top}

![](include/06-metal.png)

## {.top-right}

![](include/06-metal.png)

## {.left}

![](include/06-metal.png)

## {.center}

![](include/06-metal.png)

## {.right}

![](include/06-metal.png)

## {.bottom-left}

![](include/06-metal.png)

## {.bottom}

![](include/06-metal.png)

## {.bottom-right}

![](include/06-metal.png)

# Mario Style Columns

## 1 1

::: col
## Left column

This is the left column

![](include/06-metal.png)
:::

::: col
## Right column

This is the right column

![](include/06-metal.png)
:::
